#pragma once
/*
	File:		LFixedSizeArray.h
	
	Contains:	LArray template wrapper class.
	
	Version:	1.0
	
	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.
*/

#include <LArray.h>

template <class T>
class LFixedSizeArray:
	protected LArray
{
public:
				LFixedSizeArray();
				LFixedSizeArray(T **inItemsHandle);
	virtual		~LFixedSizeArray();
		
	virtual void InsertItem(ArrayIndexT inAtIndex, T& inItem);
	virtual void RemoveItem(ArrayIndexT inAtIndex);
	
	virtual void SetItem(ArrayIndexT inAtIndex, T& inItem);
	virtual Boolean GetItem(ArrayIndexT inAtIndex, T& outItem);
	
	virtual UInt32 GetCount();
};
